Package org.apache.sling.scripting.jsp.taglib

# Class AbstractCATag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.AbstractCATag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

Direct Known Subclasses:
  `GetCAConfigResourcesTag`, `GetCAConfigResourceTag`

public abstract class AbstractCATag extends javax.servlet.jsp.tagext.TagSupport
Abstract class for Tags for interactiving with Context-Aware Configuration resources to extend.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCATag()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBucket()`
`protected org.apache.sling.caconfig.resource.ConfigurationResourceResolver`
`getConfigurationResourceResolver()`
Method for retrieving the ConfigurationResourceResolver from the page context.
`String`
`getName()`
`org.apache.sling.api.resource.Resource`
`getResource()`
`String`
`getVar()`
Gets the variable name to which to save the list of children.
`void`
`setBucket(String bucket)`
`void`
`setName(String name)`
`void`
`setResource(org.apache.sling.api.resource.Resource resource)`
`void`
`setVar(String var)`
Sets the variable name to which to save the list of children.

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCATag

public AbstractCATag()

## Method Details

### getBucket

public String getBucket()

Returns:
  the bucket

### getName

public String getName()

Returns:
  the name

### getResource

public org.apache.sling.api.resource.Resource getResource()

Returns:
  the resource

### getConfigurationResourceResolver

protected org.apache.sling.caconfig.resource.ConfigurationResourceResolver getConfigurationResourceResolver()
Method for retrieving the ConfigurationResourceResolver from the page context.

Returns:
  the resource resolver

### getVar

public String getVar()
Gets the variable name to which to save the list of children.

Returns:
  the variable name

### setBucket

public void setBucket(String bucket)

Parameters:
  `bucket` - the bucket to set

### setName

public void setName(String name)

Parameters:
  `name` - the name to set

### setResource

public void setResource(org.apache.sling.api.resource.Resource resource)

Parameters:
  `resource` - the resource to set

### setVar

public void setVar(String var)
Sets the variable name to which to save the list of children.

Parameters:
  `var` - the variable name